<?xml version="1.0" encoding="utf-8" standalone="no" ?>

<map xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../shared/xml/schema/fillTypes.xsd">

	<fillTypes>

        <fillType name="POTATO" title="$l10n_fillType_potato" unitShort="$l10n_unit_literShort">
            <pallet     filename="pallets/fillablePallet.xml" />
            <image    hud                  ="$dataS/menu/hud/fillTypes/hud_fill_potato.png" />
            <textures diffuse              ="$data/fillPlanes/potatoes_diffuse.png" unitSize="0.75" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal               ="$data/fillPlanes/potatoes_normal.png"
                      height               ="$data/fillPlanes/potatoes_height.png"
                      displacement         ="$data/fillPlanes/potatoes_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance             ="$data/fillPlanes/distance/potatoesDistance_diffuse.png" />
        </fillType>
        <fillType name="SUNFLOWER" title="$l10n_fillType_sunflower" unitShort="$l10n_unit_literShort">
            <image    hud            ="$dataS/menu/hud/fillTypes/hud_fill_sunflower.png" />
            <pallet     filename="pallets/fillablePallet.xml" />
            <textures diffuse        ="$data/fillPlanes/sunflower_diffuse.png" unitSize="0.5" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal         ="$data/fillPlanes/sunflower_normal.png"
                      height         ="$data/fillPlanes/sunflower_height.png"
                      displacement   ="$data/fillPlanes/sunflower_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance       ="$data/fillPlanes/distance/sunflowerDistance_diffuse.png" />
        </fillType>

        <fillType name="PEA" title="$l10n_fillType_pea" showOnPriceTable="true" isBulkType="true" unitShort="$l10n_unit_literShort">
            <pallet     filename="pallets/fillablePallet.xml" />
            <image    hud                  ="$dataS/menu/hud/fillTypes/hud_fill_pea.png" />
            <textures diffuse              ="$data/fillPlanes/pea_diffuse.png" unitSize="0.4" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal               ="$data/fillPlanes/pea_normal.png"
                      height               ="$data/fillPlanes/pea_height.png"
                      displacement         ="$data/fillPlanes/pea_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance             ="$data/fillPlanes/distance/peaDistance_diffuse.png" />
        </fillType>

        <fillType name="GREENBEAN" title="$l10n_fillType_greenBean" showOnPriceTable="true" isBulkType="true" unitShort="$l10n_unit_literShort">
            <pallet     filename="pallets/fillablePallet.xml" />
            <image    hud                  ="$dataS/menu/hud/fillTypes/hud_fill_greenbean.png" />
            <textures diffuse              ="$data/fillPlanes/greenbean_diffuse.png" unitSize="0.5" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal               ="$data/fillPlanes/greenbean_normal.png"
                      height               ="$data/fillPlanes/greenbean_height.png"
                      displacement         ="$data/fillPlanes/greenbean_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance             ="$data/fillPlanes/distance/greenbeanDistance_diffuse.png" />
        </fillType>

        <fillType name="SPINACH" title="$l10n_fillType_spinach" showOnPriceTable="true" isBulkType="true" unitShort="$l10n_unit_literShort">
            <image    hud                  ="$dataS/menu/hud/fillTypes/hud_fill_spinach.png" />
            <pallet   filename="pallets/fillablePallet.xml" />
            <textures diffuse              ="$data/fillPlanes/spinach_diffuse.png" unitSize="0.75" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal               ="$data/fillPlanes/spinach_normal.png"
                      height               ="$data/fillPlanes/spinach_height.png"
                      displacement         ="$data/fillPlanes/spinach_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance             ="$data/fillPlanes/distance/spinachDistance_diffuse.png" />
        </fillType>

        <fillType name="OLIVE" title="$l10n_fillType_olive" showOnPriceTable="true" isBulkType="true" achievementName="DeliveryOlives" unitShort="$l10n_unit_literShort">
            <image    hud            ="$dataS/menu/hud/fillTypes/hud_fill_olive.png" />
            <pallet   filename="pallets/fillablePallet.xml" />
            <textures diffuse        ="$data/fillPlanes/olive_diffuse.png" unitSize="0.5" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal         ="$data/fillPlanes/olive_normal.png"
                      height         ="$data/fillPlanes/olive_height.png"
                      displacement   ="$data/fillPlanes/olive_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance       ="$data/fillPlanes/distance/oliveDistance_diffuse.png" />
        </fillType>

        <fillType name="GRAPE" title="$l10n_fillType_grape" showOnPriceTable="true" isBulkType="true" achievementName="DeliveryGrapes" unitShort="$l10n_unit_literShort">
            <image    hud            ="$dataS/menu/hud/fillTypes/hud_fill_grape.png" />
            <pallet   filename="pallets/fillablePallet.xml" />
            <textures diffuse        ="$data/fillPlanes/grape_diffuse.png" unitSize="0.9" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal         ="$data/fillPlanes/grape_normal.png"
                      height         ="$data/fillPlanes/grape_height.png"
                      displacement   ="$data/fillPlanes/grape_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance       ="$data/fillPlanes/distance/grapeDistance_diffuse.png" />
        </fillType>

        <fillType name="BEETROOT" title="$l10n_fillType_beetRoot" showOnPriceTable="true" isBulkType="true" isPalletType="true" unitShort="$l10n_unit_literShort">
            <image    hud                  ="$dataS/menu/hud/fillTypes/hud_fill_beetRoot.png" />
            <pallet   filename="pallets/vegetablesPallet.xml" />
            <textures diffuse              ="$data/fillPlanes/beetroot_diffuse.png" unitSize="0.6" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal               ="$data/fillPlanes/beetroot_normal.png"
                      height               ="$data/fillPlanes/beetroot_height.png"
                      displacement         ="$data/fillPlanes/beetroot_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance             ="$data/fillPlanes/distance/beetrootDistance_diffuse.png" />
        </fillType>

        <fillType name="CARROT" title="$l10n_fillType_carrots" showOnPriceTable="true" isBulkType="true" isPalletType="true" unitShort="$l10n_unit_literShort">
            <image    hud                  ="$dataS/menu/hud/fillTypes/hud_fill_carrot.png" />
            <pallet   filename="pallets/vegetablesPallet.xml" />
            <textures diffuse              ="$data/fillPlanes/carrot_diffuse.png" unitSize="0.8" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal               ="$data/fillPlanes/carrot_normal.png"
                      height               ="$data/fillPlanes/carrot_height.png"
                      displacement         ="$data/fillPlanes/carrot_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance             ="$data/fillPlanes/distance/carrotDistance_diffuse.png" />
        </fillType>

        <fillType name="PARSNIP" title="$l10n_fillType_parsnip" showOnPriceTable="true" isBulkType="true" isPalletType="true" unitShort="$l10n_unit_literShort">
            <image    hud                  ="$dataS/menu/hud/fillTypes/hud_fill_parsnip.png" />
            <pallet   filename="pallets/vegetablesPallet.xml" />
            <textures diffuse              ="$data/fillPlanes/parsnip_diffuse.png" unitSize="0.8" blendContrast="0.2" noiseScale="0.5" noiseSharpness="0.5" porosityAtZeroRoughness="0.9" porosityAtFullRoughness="1"
                      normal               ="$data/fillPlanes/parsnip_normal.png"
                      height               ="$data/fillPlanes/parsnip_height.png"
                      displacement         ="$data/fillPlanes/parsnip_displacement.png" displacementMaxHeight="0.2" firmness="0.3" viscosity="0.5"
                      distance             ="$data/fillPlanes/distance/parsnipDistance_diffuse.png" />
        </fillType>

	</fillTypes>

    <fillTypeCategories>
		<fillTypeCategory name="BULK">GRAPE</fillTypeCategory>
		<fillTypeCategory name="PRODUCT">POTATO SUNFLOWER CARROT PARSNIP BEETROOT PEA GREENBEAN SPINACH GRAPE OLIVE</fillTypeCategory>
		<fillTypeCategory name="TRAINWAGON">POTATO SUNFLOWER CARROT PARSNIP BEETROOT PEA GREENBEAN SPINACH GRAPE OLIVE</fillTypeCategory>
    </fillTypeCategories>

</map>
